%define upstream_name    Email-Address
%define upstream_version 1.913

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    RFC 2822 Address Parsing and Creation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Encode::MIME::Header)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This class implements a complete RFC 2822 parser that locates
email addresses in strings and returns a list of "Email::Address"
objects found. Alternately, you may construct objects manually.
The goal of this software is to be correct, and very very fast.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' bench/ea-vs-ma.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/man3/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.913.0-2.mga10
+ Revision: 2217410
- Mageia 10 Mass Rebuild

* Wed Jan 11 2023 tv <tv> 1.913.0-1.mga9
+ Revision: 1932254
- update to 1.913

* Mon Mar 21 2022 umeabot <umeabot> 1.912.0-3.mga9
+ Revision: 1811243
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.912.0-2.mga8
+ Revision: 1521771
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Jan 01 2019 tv <tv> 1.912.0-1.mga7
+ Revision: 1347944
- update to 1.912

* Fri Dec 28 2018 tv <tv> 1.911.0-1.mga7
+ Revision: 1345367
- update to 1.911

* Thu Sep 20 2018 umeabot <umeabot> 1.909.0-2.mga7
+ Revision: 1283611
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.909.0-1.mga7
+ Revision: 1207189
- update to 1.909

* Sun Jun 19 2016 pterjan <pterjan> 1.908.0-3.mga6
+ Revision: 1026890
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.908.0-2.mga6
+ Revision: 970000
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.908.0-1.mga6
+ Revision: 884549
- update to 1.908

* Mon Jun 29 2015 sander85 <sander85> 1.907.0-1.mga6
+ Revision: 848142
- update to 1.907

* Sun Oct 19 2014 umeabot <umeabot> 1.905.0-4.mga5
+ Revision: 789638
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.905.0-3.mga5
+ Revision: 746605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.905.0-2.mga5
+ Revision: 684613
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 1.905.0-1.mga5
+ Revision: 638326
- update to 1.905

* Tue May 06 2014 jquelin <jquelin> 1.903.0-1.mga5
+ Revision: 620627
- update to 1.903

* Mon Feb 10 2014 jquelin <jquelin> 1.901.0-1.mga5
+ Revision: 588394
- update to 1.901

* Sat Oct 19 2013 umeabot <umeabot> 1.900.0-2.mga4
+ Revision: 531726
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 sander85 <sander85> 1.900.0-1.mga4
+ Revision: 464864
- update to 1.900

* Sun Aug 04 2013 sander85 <sander85> 1.899.0-1.mga4
+ Revision: 463395
- update to 1.899

* Fri Jun 07 2013 jquelin <jquelin> 1.898.0-1.mga4
+ Revision: 439228
- update to 1.898

* Sun Jan 13 2013 umeabot <umeabot> 1.897.0-2.mga3
+ Revision: 366750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.897.0-1.mga3
+ Revision: 342148
- update to 1.897

* Fri Aug 31 2012 kharec <kharec> 1.896.0-1.mga3
+ Revision: 286123
- update to 1.896

* Wed Jan 25 2012 jquelin <jquelin> 1.895.0-1.mga2
+ Revision: 200874
- update to 1.895

* Wed Jan 04 2012 jquelin <jquelin> 1.893.0-1.mga2
+ Revision: 190304
- update to 1.893

* Thu Jan 20 2011 jquelin <jquelin> 1.892.0-1.mga1
+ Revision: 26095
- mageia rebuild
- imported package perl-Email-Address


* Mon Sep 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.892.0-1mdv2011.0
+ Revision: 576296
- update to 1.892

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.891.0-1mdv2011.0
+ Revision: 575395
- update to 1.891

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1.890.0-1mdv2011.0
+ Revision: 572703
- update to 1.890

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.889.0-3mdv2011.0
+ Revision: 337631
- new release
- use standardized version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.88.8-3mdv2009.0
+ Revision: 241209
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.88.8-1mdv2008.0
+ Revision: 56079
- update to new version 1.88.8

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.88.7-1mdv2008.0
+ Revision: 20063
- 1.887


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.87.0-1mdv2007.0
- new version (upstream version 1.870)

* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.86-1mdv2007.0
- new version
- spec cleanup
- fix directory ownership

* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.80-1mdk
- initial Mandriva package

